from . import _magnetostaticField
from ngsolve import VectorH1
from . import _detailsOerstedField
from commix._tools.algebra import Curl


################################################################################


class OerstedField(_magnetostaticField._MagnetostaticField):


  _discreteSpace = VectorH1
  _decomposition = lambda h1, h2: h1 + h2
  _lfOperator = lambda phi: Curl(phi.Deriv())
  _label = "hc"

  _femInitializer = _detailsOerstedField.DetailsOerstedField
  _femStatic = None


#-----------------------------------------------------------------------------#


################################################################################
