#### class BoundingBox ### TOECDO
#
#
#################################################################################
#
#
#class BoundingBox:
#  
#  def __init__(self, geometry, h_max):
#    
#    self.geometry = geometry
#    self.h_max = h_max
#    
#    self._mesh = None
#    
#    self._outer_domain_nr = 1
#    self._inner_domain_nr = 2
#    self._restrictionMap = None
#
#    self._scaling = None
#  
#  
##------------------------------------------------------------------------------#
#
#
#  def GetReady(self, geometry_in, h_max_in, scaling_in):
#    from commix._setup.geometries._details import ExtractInnerMesh
#    from commix._setup.geometries._details import CombineMeshes
#    from ngsolve import Mesh as ngsolveMesh
#    from netgen.csg import CSGeometry
#    self._scaling = scaling_in
#
#    geo_in = CSGeometry()
#    geo_in.Add( geometry_in )
#    ngmesh_in = geo_in.GenerateMesh( maxh = h_max_in )
#    
#    geo_out = CSGeometry()
#    geo_out.Add( self.geometry )
#    ngmesh_out = geo_out.GenerateMesh( maxh = self.h_max )
#    
#    ngmesh = CombineMeshes(ngmesh_in, ngmesh_out \
#      , self._outer_domain_nr, self._inner_domain_nr)
#    ngmesh_restricted, self._restrictionMap = ExtractInnerMesh(ngmesh \
#      , self._outer_domain_nr, self._inner_domain_nr)
#    
#    self._mesh = ngsolveMesh( ngmesh )
#    return ngsolveMesh( ngmesh_restricted )
#  
#  
##------------------------------------------------------------------------------#
#
#
#  def IsBoundingBox(self):
#    return True
#  
#  
##------------------------------------------------------------------------------#
#
#
#  def Get_restrictionMap(self):
#    return self._restrictionMap
#  
#  
##------------------------------------------------------------------------------#
#
#
#  def Get_inner_domain_nr(self):
#    return self._inner_domain_nr
#  
#  
##------------------------------------------------------------------------------#
#
#
#  def Get_outer_domain_nr(self):
#    return self._outer_domain_nr
#  
#  
##------------------------------------------------------------------------------#
#
#
#  def __str__(self):
#    string = "\n\n ----- " + self.__class__.__name__ + " ----- \n\n"
#    if not(self._mesh == None):
#      string += "Vertices: " + str(self._mesh.nv) + "\n"
#      string += "Elements: " + str(self._mesh.ne) + "\n"
#      string += "h_max = " + str(self.h_max) + "\n"
#      string += "scaling = " + str(self._scaling) + "\n"
#    else:
#      string = "From BoundingBox.__str__(): \
#        Mesh not ready: Call GetReady() first!"
#  
#    return string
#  
##------------------------------------------------------------------------------#
#
#
#  def GetMesh(self):
#    if not(self._mesh == None):
#      return self._mesh
#    else:
#      print("From BoundingBox.GetMesh() : \
#        Mesh not ready: Call GetReady() first!")
#  
#  
##------------------------------------------------------------------------------#
#
#
#  def Save(self, filename):
#    if not(self._mesh == None):
#      self._mesh.ngmesh.Save( filename )
#    else:
#      print("From BoundingBox.Save(): \
#        Mesh not ready: Call GetReady() first!")
#
#
#################################################################################
