from . import _standardGeometry


################################################################################


class Ball(_standardGeometry._StandardGeometry):


#------------------------------------------------------------------------------#


  def __init__(self, r=1.0, p=(0,0,0)):
    self._r = r
    self._p = p

#------------------------------------------------------------------------------#

  
  def _GetNgSolveGeometry(self):
    from netgen.csg import Sphere, Pnt
    P = Pnt(self._p[0], self._p[1], self._p[2])
    return Sphere(P, self._r).bc("bc_dirichlet")


#------------------------------------------------------------------------------#


################################################################################
